﻿# The script of the game goes in this file.


define mc = Character("Ethan", color="00FFCC")
define ne = Character("Neeve", color="ff8000")
define am = Character("Amelia", color="FFC300")
define ar = Character("Arlette", color="900C3F")
define ly = Character("Lynette", color="FF3200")
define fem = Character("Female voice", color="FFFF33")
define fem2 = Character("Female voice 2", color="0277AA")
define mci = Character("Inner voice", color="00FFCC")
define luc = Character("Lucia", color="0277AA")
define nur = Character("Nurse", color="FFFF33")
define aut = Character("Author", color="00FFCC")


label splashscreen:
    show parental
    with fade
    pause
    return



# The game starts here.

label start:


    scene twb 00000
    with fade
    "Your name is..."

    $ viname = renpy.input("Name yourself", length=12, default="Ethan")

    if viname == "":
        $ viname = "Ethan"

    scene twb 00001
    with dissolve
    mci"{i}Run!{i}"
    fem"Hey, that doesn't look like an animal."
    scene twb 00002
    with dissolve
    mci"{i}Run!{i}"
    fem"Use the tranquilizer darts. Quickly, if he reaches those trees we'll lose him."
    scene twb 00003
    with dissolve
    mci"{i}Run!{i}"
    fem2"Damn, he moves so fast."
    scene twb 00004
    with dissolve
    mci"{i}Run!{i}"
    scene twb 00005
    with dissolve
    mci"{i}Run!{i}"
    fem2"I got you!"
    "*Bang*"
    scene twb 00006
    with dissolve
    ne"NO!"
    scene twb 00007
    with dissolve
    ""
    scene twb 00008
    with dissolve
    ne"Again... no...."
    scene twb 00009
    with dissolve
    ne"Mommyyyyyyyy! Help!"
    ne"They're coming for me! They want to capture me!"
    scene twb 00010
    with dissolve
    am"{i}My poor baby looks like she had another nightmare. They are being too frequent.{i}"
    am"{i}I'm taking her to the hospital tomorrow.{i}"
    scene twb 00011
    with dissolve
    ne"Some people are chasing me and want to capture me."
    ne"I don't want them to take me away from you."
    scene twb 00012
    with dissolve
    am"{i}It's the same nightmare, this is the third time, this is worrying.{i}"
    am"{i}Maybe something is going on. I should talk to her sisters about this.{i}"
    scene twb 00013
    with dissolve
    ne"It's the third time, Mommy. I think what they say on the internet is true."
    ne"That dreams can be things that will happen. I'm scared."
    scene twb 00014
    with dissolve
    am"Ah, my sweet baby. Don't worry, you're safe now. What you saw on the internet is fake, like most things about fortune-telling."
    am"Remember, nightmares aren't real, so you shouldn't be scared. Besides, I would never let something like that happen to you."
    am"And not only do you have me, but your sisters too... and speaking of which, one is already here."
    am"And now you should go to sleep, I just cast a spell so you can sleep peacefully until morning."
    scene twb 00015
    with dissolve
    ar"What happened? I heard Neeve screaming... Oh, another nightmare?"
    am"That's right, could you take her to bed? Please?"
    scene twb 00016
    with dissolve
    ar"Oh, did she fall asleep again? So fast?"
    am"Yes."
    ar"Mom, how do you do that? Can you even use magic?"
    scene twb 00017
    with dissolve
    am"When you become a mother, you'll discover that mothers have special powers."
    am"Powers that can give you a unique feeling of warmth."
    am"But you're too young for that kind of power..."
    "*Cell phone sound*"
    scene twb 00018
    with dissolve
    am"I wonder who it is at this hour?"
    ar"I don't think it's from your work, could it be Grandma's?"
    am"No, it's an unknown number. Maybe it's spam."
    scene twb 00019
    with dissolve
    ar"I'll take our princess to her soft bed of roses and cotton."
    ar"I'll sleep in Lynette's bed, just in case it happens again."
    am"Thank you."
    scene twb 00020
    with dissolve
    luc"Good evening, this is Mrs. Amelia Schneilt."
    am"Yes, she's speaking."
    luc"Sorry to call so late. This is Dr. Lucia Roden from Edmond General Hospital."
    scene twb 00021
    with dissolve
    luc"We searched the records, and this number was on your baby's missing person report."
    luc"Mrs. Amelia, we've found a child who meets some of the characteristics you described."
    scene twb 00022
    with dissolve
    luc"Because he was found on another continent and in another country, we need you to come as soon as possible so we can confirm or rule out that he is your son."
    luc"I apologize for the inconvenience. I request that you bring the following..."
    scene twb 00023
    with dissolve
    pause
    scene twb 00024
    with dissolve
    luc"Mrs. Amelia, I can't imagine the whirlwind of emotions you must be going through."
    luc"But before I show you the child, I must make sure you're the mother."
    luc"I'm sorry to have to do this, but in the last two days, five people have come to claim the child as their own."
    luc"Did you bring what I asked for?"
    scene twb 00025
    with dissolve
    am"Yes, give me a moment. I have all the documents you asked for here in my bag."
    am"Hospital records, birth certificates, a missing persons report, and photos."
    luc"{i}She's trembling. None of the people ever acted like that. I can tell from a single glance, and none of their actions seem fake.{i}"
    scene twb 00026
    with dissolve
    am"Everything's here. If you need anything else that I forgot, I can come over to my house and..."
    luc"That won't be necessary."
    scene twb 00027
    with fade
    am"Doctor, you only saw the documents once and..."
    luc"Don't worry, I have a photographic memory. I'm just verifying some information."
    scene twb 00028
    with fade
    "For Amelia, those 10 minutes that the doctor took seemed like an eternity."
    luc"Everything seems correct. And that would be all."
    scene twb 00029
    with dissolve
    luc"Follow me. We'll go see him right away."
    luc"I just ask you to remain calm and not act in any way that might be offensive to the boy."
    am"Why do you say that?"
    luc"Come on, I'll tell you on the way."
    scene twb 00030
    with dissolve
    luc"Your son was found in the Krel Forest on the European continent by two hunters."
    luc"Don't worry, they shot him with tranquilizer darts that weren't life-threatening."
    luc"Apparently, he tried to steal some chickens from those girls' farm."
    am"Chickens?"
    scene twb 00031
    with dissolve
    luc"Ms. Amelia, we still don't know how your son managed to cross from one continent to another at that age. Given the circumstances, of course."
    luc"But we are certain he was raised by wolves. I say this because of his behavior these past few days."
    luc"This isn't the first case, nor will it be the last, but it is the most recent."
    scene twb 00032
    with dissolve
    luc"I should add that we had to sedate him to ensure the well-being and safety of our nurses."
    luc"Before they brought him in, he tried to escape a couple of times and injured several people in the process."
    luc"Don't worry, we've treated him properly, both here and at the other hospital. He wasn't hurt at all."
    luc"{i}Although any harm would have been a caress to him. I can't tell her that.{i}"
    scene twb 00033
    with dissolve
    am"You mentioned other people."
    luc"That's right, I can only tell you that those people are now under arrest and will soon be executed, as the law dictates."
    luc"It's a shame that even though the death penalty is global, there are still certain groups that kidnap babies."
    scene twb 00034
    with dissolve
    luc"Here it is, he should be sleeping right now, and it's preferable that way."
    luc"You can come in and spend some time with him. Um... Are you okay?"
    scene twb 00035
    with dissolve
    am"Yes, just give me a moment."
    am"{i}Come on, Amelia, you've waited a long time for this moment.{i}"
    am"{i}According to what the doctor said, you should stay calm and not do anything that might scare him; after all, he hasn't had any contact with other people until now.{i}"
    scene twb 00036
    with dissolve
    am"I'm ready. Let's go in."
    luc"Okay."
    scene twb 00037
    with dissolve
    luc"Because of his life in the wild, you might find his appearance a little... odd."
    am"What does that mean?"
    luc"You'd better see for yourself."
    scene twb 00038
    with dissolve
    "Amelia was petrified when she saw her son."
    "So much time had passed, and she only wanted one thing: to hold him tight and never let him go."
    scene twb 00039
    with dissolve
    "She had remained calm, but she could not resist any longer."
    "Many years of containment brought her to tears when she saw her son's body."
    scene twb 00040
    with dissolve
    am"My baby... all those scars..."
    am"So many years and I can finally see you."
    scene twb 00041
    with dissolve
    "[mc], like his twin sister Neeve, had a delicate appearance."
    "Perhaps that's why they never realized the danger he represented."
    scene twb 00042
    with dissolve
    "Hearing Amelia's sobbing and voice, [mc] woke up."
    scene twb 00043
    with dissolve
    "[mc] immediately jumped onto the stretcher and became defensive."
    luc"God. I don't think it's wise to get close, he might attack you."
    mc"Grrr."
    luc"I'll call some nurses to..."
    am"No! It's been so many years. If this is a test, I'll gladly accept it."
    am"Now that I have him in front of me, I won't let him go again. I just want to hold him, I..."
    am"My [mc], my baby."
    scene twb 00044
    with dissolve
    "Suddenly, [mc] closed his eyes and began to smell."
    "He recognized Amelia's scent; it seemed strangely familiar."
    scene twb 00045
    with dissolve
    "For that reason, he got off the stretcher and began to smell her mother."
    "Amelia remained still, thinking that if she moved or made any movement, he might get scared."
    scene twb 00046
    with dissolve
    luc"How interesting. It seems the boy remembers her scent, despite all these years. This is strange."
    luc"I haven't heard or read of a case like his."
    scene twb 00047
    with dissolve
    am"Even though he was just a baby then... he reminds me... My little [mc]..."
    nur"Doctor, do you need help?"
    luc"No, it's not necessary. Everything's under control."
    nur"Are you sure?"
    luc"Yes."
    scene twb 00048
    with dissolve
    am"I must say I didn't expect to be reunited with my son like this."
    am"But I'm so happy to know that despite the passage of time, he remembers me."
    am"Doctor, I am the happiest woman in the-"
    scene twb 00049
    with dissolve
    am"WORLD!"
    luc"{i}Wow, I didn't expect something like this to happen.{i}"
    luc"{i}I must take advantage of this moment.{i}"
    scene twb 00050
    with dissolve
    "[mc] began rubbing his face against his mother's ass and sniffing it."
    "Amelia, shocked and embarrassed by the situation, couldn't move."
    "The doctor, taking advantage of [mc]'s distraction, pulled out a syringe."
    scene twb 00051
    with dissolve
    "This didn't last long, as the doctor took the opportunity to inject [mc] with a sedative."
    scene twb 00052
    with dissolve
    "Minutes later..."
    luc"Mrs. Amelia, are you sure?"
    am"Yes, I'll take him home. I'll take care of teaching him everything he needs."
    am"I appreciate everything you and your colleagues have done for my family. I'll never forget it."
    luc"Okay, we'll respect your decision."
    am"My sweet baby... after all this years..."
    scene twb 00053
    with dissolve
    "Amelia didn't know it, but the decision she had made would completely change her and her family's lives."

    scene mommy
    with dissolve
    aut"Hello everyone, and thank you for joining me here... again"
    aut"This is the prologue of my game. It's very short, I know."
    aut"I plan to add audio and also sounds to the videos... I just ask for a little patience."
    aut"And don't worry, both TSF 0.13 and TWB 0.1 will be released this month, albeit a few days apart."
    aut"See ya."



    # This ends the game.

    return
